Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 49174)
@@ -21,7 +21,9 @@
                   [(searchUtils)] = "searchUtils"
                  (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="resources" simpleSearchLink="/search/find/dataproviders"
-                 [disableForms]="disableForms">
+                 [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults">
     </advanced-search-page>
 
     `
@@ -28,6 +30,8 @@
  })
 
 export class AdvancedSearchDataProvidersComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
@@ -41,12 +45,13 @@
   public resourcesQuery = "(oaftype exact datasource)";
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   constructor (private route: ActivatedRoute, private _searchDataProvidersService: SearchDataprovidersService ) {
-
     this.results =[];
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.baseUrl = OpenaireProperties.searchLinkToAdvancedDataProviders;
     console.info("Con -base url:"+this.searchUtils.baseUrl );
 
@@ -53,15 +58,19 @@
   }
   ngOnInit() {
    this.sub =  this.route.queryParams.subscribe(params => {
-      let page = (params['page']=== undefined)?0:+params['page'];
-      this.searchUtils.page = ( page < 1 ) ? 1 : page;
-      this.searchPage.fieldIds = this.fieldIds;
-      this.selectedFields =[];
-      this.searchPage.selectedFields = this.selectedFields;
-      this.searchPage.fieldIdsMap = this.fieldIdsMap;
-      this.searchPage.getSelectedFiltersFromUrl(params);
-      this.getResults(this.searchPage.createQueryParameters(),  this.searchUtils.page, this.searchUtils.size);
+     if(params['page'] && this.searchUtils.page != params['page']) {
+       this.loadPaging = false;
+       this.oldTotalResults = this.searchUtils.totalResults;
+     }
 
+    let page = (params['page']=== undefined)?0:+params['page'];
+    this.searchUtils.page = ( page < 1 ) ? 1 : page;
+    this.searchPage.fieldIds = this.fieldIds;
+    this.selectedFields =[];
+    this.searchPage.selectedFields = this.selectedFields;
+    this.searchPage.fieldIdsMap = this.fieldIdsMap;
+    this.searchPage.getSelectedFiltersFromUrl(params);
+    this.getResults(this.searchPage.createQueryParameters(),  this.searchUtils.page, this.searchUtils.size);
     });
   }
   ngOnDestroy() {
@@ -75,14 +84,14 @@
         this.csvParams ="&type=datasources&query="+this.resourcesQuery;
       }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     //this.searchPage.openLoading();
     this.disableForms = true;
     this.results = [];
     this.searchUtils.totalResults = 0;
 
-    console.info("Advanced Search for Publications: Execute search query "+parameters);
+    console.info("Advanced Search for Content Providers: Execute search query "+parameters);
      this._searchDataProvidersService.advancedSearchDataproviders(parameters,  page, size).subscribe(
         data => {
             this.searchUtils.totalResults = data[0];
@@ -89,16 +98,16 @@
             console.info("Adv Search Content Providers total="+this.searchUtils.totalResults);
             this.results = data[1];
             this.searchPage.updateBaseUrlWithParameters();
-            var errorCodes:ErrorCodes = new ErrorCodes();
-             this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
-              // Page out of limit!!!
+            if(this.searchUtils.status == this.errorCodes.DONE) {
+              // Page out of limit
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
                   totalPages = (parseInt(totalPages, 10) + 1);
@@ -105,7 +114,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -116,8 +125,15 @@
             // if( ){
             //   this.searchUtils.status = errorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
             //this.searchPage.closeLoading();
             this.disableForms = false;
         }
@@ -125,6 +141,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     console.info("queryChanged: Execute search query "+parameters);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 49174)
@@ -20,7 +20,9 @@
                  [(fieldIds)]="fieldIds" [(fieldIdsMap)]="fieldIdsMap"   [(selectedFields)]="selectedFields"
                  (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="resources" simpleSearchLink="/search/find/organizations"
-                 [disableForms]="disableForms">
+                 [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults">
     </advanced-search-page>
 
     `
@@ -27,6 +29,8 @@
  })
 
 export class AdvancedSearchOrganizationsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
@@ -37,15 +41,16 @@
   public selectedFields:AdvancedField[] =  [];
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   @ViewChild (AdvancedSearchPageComponent) searchPage : AdvancedSearchPageComponent ;
 
 public resourcesQuery = "(oaftype exact organization)";
   constructor (private route: ActivatedRoute, private _searchOrganizationsService: SearchOrganizationsService ) {
-
     this.results =[];
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.baseUrl = OpenaireProperties.searchLinkToAdvancedOrganizations;
 
 
@@ -52,10 +57,15 @@
 
   }
   ngOnInit() {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
-   this.sub =  this.route.queryParams.subscribe(params => {
+    this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
+
       let page = (params['page']=== undefined)?1:+params['page'];
       this.searchUtils.page = ( page <= 0 ) ? 1 : page;
       this.searchPage.fieldIds = this.fieldIds;
@@ -78,8 +88,8 @@
         this.csvParams ="&type=organizations&query="+this.resourcesQuery;
       }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     //this.searchPage.openLoading();
     this.disableForms = true;
     this.results = [];
@@ -92,15 +102,15 @@
             console.info("search Organizations total="+this.searchUtils.totalResults);
             this.results = data[1];
             this.searchPage.updateBaseUrlWithParameters();
-            var errorCodes:ErrorCodes = new ErrorCodes();
-             this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
+            if(this.searchUtils.status == this.errorCodes.DONE) {
               // Page out of limit!!!
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
@@ -108,7 +118,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -119,8 +129,16 @@
             // if( ){
             //   this.searchUtils.status = errorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
+
             //this.searchPage.closeLoading();
             this.disableForms = false;
         }
@@ -131,6 +149,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     console.info("queryChanged: Execute search query "+parameters);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchDatasets.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 49174)
@@ -20,7 +20,9 @@
                  [(fieldIds)]="fieldIds" [(fieldIdsMap)]="fieldIdsMap"   [(selectedFields)]="selectedFields"
                  (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="resources" simpleSearchLink="/search/find/datasets"
-                 [disableForms]="disableForms">
+                 [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults">
     </advanced-search-page>
 
     `
@@ -27,28 +29,29 @@
  })
 
 export class AdvancedSearchDatasetsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
 
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
-
   public searchFields:SearchFields = new SearchFields();
 
+  public fieldIds:  string[] = this.searchFields.RESULT_ADVANCED_FIELDS;
+  public fieldIdsMap= this.searchFields.RESULT_FIELDS;
+  public selectedFields:AdvancedField[] =  [];
 
-    public fieldIds:  string[] = this.searchFields.RESULT_ADVANCED_FIELDS;
-    public fieldIdsMap= this.searchFields.RESULT_FIELDS;
-    public selectedFields:AdvancedField[] =  [];
-
   @ViewChild (AdvancedSearchPageComponent) searchPage : AdvancedSearchPageComponent ;
   public resourcesQuery = "( (oaftype exact result) and (resulttypeid exact dataset)  )";
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   constructor (private route: ActivatedRoute, private _searchDatasetsService: SearchDatasetsService ) {
-
     this.results =[];
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.baseUrl = OpenaireProperties.searchLinkToAdvancedDatasets;
 
 
@@ -55,9 +58,14 @@
 
   }
   ngOnInit() {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
-   this.sub =  this.route.queryParams.subscribe(params => {
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
+    this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
+
       let page = (params['page']=== undefined)?1:+params['page'];
       this.searchUtils.page = ( page <= 0 ) ? 1 : page;
       this.searchPage.fieldIds = this.fieldIds;
@@ -80,8 +88,8 @@
         this.csvParams ="&type=datasets&query="+this.resourcesQuery;
       }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     //this.searchPage.openLoading();
     this.disableForms = true;
     this.results = [];
@@ -94,15 +102,15 @@
             console.info("search Research Data total="+this.searchUtils.totalResults);
             this.results = data[1];
             this.searchPage.updateBaseUrlWithParameters();
-            var errorCodes:ErrorCodes = new ErrorCodes();
-             this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
+            if(this.searchUtils.status == this.errorCodes.DONE) {
               // Page out of limit!!!
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
@@ -110,7 +118,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -121,8 +129,16 @@
             // if( ){
             //   this.searchUtils.status = errorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
+
             //this.searchPage.closeLoading();
             this.disableForms = false;
         }
@@ -133,6 +149,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     console.info("queryChanged: Execute search query "+parameters);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchProjects.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 49174)
@@ -19,7 +19,9 @@
                  [(fieldIds)]="fieldIds" [(fieldIdsMap)]="fieldIdsMap"   [(selectedFields)]="selectedFields"
                  (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="resources" simpleSearchLink="/search/find/projects"
-                 [disableForms]="disableForms">
+                 [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults">
     </advanced-search-page>
 
     `
@@ -26,13 +28,14 @@
  })
 
 export class AdvancedSearchProjectsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
 
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
+  public searchFields:SearchFields = new SearchFields();
 
-   public searchFields:SearchFields = new SearchFields();
-
   public fieldIds:  string[] = this.searchFields.PROJECT_ADVANCED_FIELDS;
   public fieldIdsMap = this.searchFields.PROJECT_FIELDS;
   public selectedFields:AdvancedField[] =  [];
@@ -41,12 +44,14 @@
   public resourcesQuery = "(oaftype exact project)";
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   constructor (private route: ActivatedRoute, private _searchProjectsService: SearchProjectsService ) {
 
     this.results =[];
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.baseUrl = OpenaireProperties.searchLinkToAdvancedProjects;
 
 
@@ -53,9 +58,14 @@
 
   }
   ngOnInit() {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
-   this.sub =  this.route.queryParams.subscribe(params => {
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
+    this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
+
       let page = (params['page']=== undefined)?1:+params['page'];
       this.searchUtils.page = ( page <= 0 ) ? 1 : page;
       this.searchPage.fieldIds = this.fieldIds;
@@ -78,8 +88,8 @@
         this.csvParams ="&type=projects&query="+this.resourcesQuery;
       }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     //this.searchPage.openLoading();
     this.disableForms = true;
     this.results = [];
@@ -92,15 +102,15 @@
             console.info("Advanced Search for Projects total="+this.searchUtils.totalResults);
             this.results = data[1];
             this.searchPage.updateBaseUrlWithParameters();
-            var errorCodes:ErrorCodes = new ErrorCodes();
-             this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
+            if(this.searchUtils.status == this.errorCodes.DONE) {
               // Page out of limit!!!
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
@@ -108,7 +118,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -119,8 +129,16 @@
             // if( ){
             //   this.searchUtils.status = errorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
+
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
@@ -132,6 +150,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     console.info("queryChanged: Execute search query "+parameters);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchPublications.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 49174)
@@ -20,24 +20,30 @@
                  [(fieldIds)]="fieldIds" [(fieldIdsMap)]="fieldIdsMap"   [(selectedFields)]="selectedFields"
                  (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="resources" simpleSearchLink="/search/find/publications"
-                 [disableForms]="disableForms">
+                 [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults">
     </advanced-search-page>
     `
  })
 
 export class AdvancedSearchPublicationsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
+
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
-
   public searchFields:SearchFields = new SearchFields();
 
   public fieldIds:  string[] = this.searchFields.RESULT_ADVANCED_FIELDS;
-   public fieldIdsMap= this.searchFields.RESULT_FIELDS;
-   public selectedFields:AdvancedField[] =  [];
-   public resourcesQuery = "((oaftype exact result) and (resulttypeid exact publication))";
-   public csvParams: string;
-   public disableForms: boolean = false;
+  public fieldIdsMap= this.searchFields.RESULT_FIELDS;
+  public selectedFields:AdvancedField[] =  [];
+  public resourcesQuery = "((oaftype exact result) and (resulttypeid exact publication))";
+  public csvParams: string;
+  public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   @ViewChild (AdvancedSearchPageComponent) searchPage : AdvancedSearchPageComponent ;
 
@@ -45,8 +51,8 @@
   constructor (private route: ActivatedRoute, private _searchPublicationsService: SearchPublicationsService ) {
 
     this.results =[];
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.baseUrl = OpenaireProperties.searchLinkToAdvancedPublications;
 
 
@@ -53,9 +59,14 @@
 
   }
   ngOnInit() {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
-   this.sub =  this.route.queryParams.subscribe(params => {
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
+    this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
+
       let page = (params['page']=== undefined)?1:+params['page'];
       this.searchUtils.page = ( page <= 0 ) ? 1 : page;
       this.searchPage.fieldIds = this.fieldIds;
@@ -64,8 +75,7 @@
       this.searchPage.fieldIdsMap = this.fieldIdsMap;
 
       this.searchPage.getSelectedFiltersFromUrl(params);
-       this.getResults(this.searchPage.createQueryParameters(),  this.searchUtils.page, this.searchUtils.size);
-
+      this.getResults(this.searchPage.createQueryParameters(),  this.searchUtils.page, this.searchUtils.size);
     });
   }
   ngOnDestroy() {
@@ -79,8 +89,8 @@
         this.csvParams ="&type=publications&query="+this.resourcesQuery;
       }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     //this.searchPage.openLoading();
     this.disableForms = true;
     this.results = [];
@@ -93,15 +103,15 @@
             console.info("searchPubl total="+this.searchUtils.totalResults);
             this.results = data[1];
             this.searchPage.updateBaseUrlWithParameters();
-            var errorCodes:ErrorCodes = new ErrorCodes();
-             this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
+            if(this.searchUtils.status == this.errorCodes.DONE) {
               // Page out of limit!!!
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
@@ -109,7 +119,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -120,8 +130,16 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.NOT_AVAILABLE;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
+
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
@@ -130,6 +148,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+
     var parameters = $event.value;
     this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     console.info("queryChanged: Execute search query "+parameters);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.module.ts	(revision 49174)
@@ -8,10 +8,11 @@
 import {BrowseEntitiesComponent} from './browseEntities.component';
 import {BrowseStatisticComponent} from './browseStatistic.component';
 
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule,
+    CommonModule, FormsModule, ErrorMessagesModule,
     RefineFieldResultsServiceModule, RouterModule
   ],
   declarations: [
